Ipelib: ipe::Thumbnail Class Reference

Ipelib

Public Types | Public Member Functions | List of all members
ipe::Thumbnail Class Reference

`#include <ipethumbs.h>`

## Public Types
enum | TargetFormat { ESVG , EPNG , EPS , EPDF }

## Public Member Functions
| Thumbnail (const Document *doc, int width)
void | setTransparent (bool t)
void | setNoCrop (bool n)
int | width () const
int | height () const
Buffer | render (const Page *page, int view)
bool | saveRender (TargetFormat fm, const char *dst, const Page *page, int view, double zoom)

## Member Enumeration Documentation

## ◆ TargetFormat

enum ipe::Thumbnail::TargetFormat

Enumerator
ESVG |
EPNG |
EPS |
EPDF |

## Constructor & Destructor Documentation

## ◆ Thumbnail()

Thumbnail::Thumbnail | ( | const Document * | doc,
|  | int | width
| ) |  |

References ipe::Document::cascade(), ipe::Cascade::findLayout(), ipe::Rect::height(), ipe::Layout::paper(), ipe::Document::resources(), and ipe::Rect::width().

## Member Function Documentation

## ◆ setTransparent()

void ipe::Thumbnail::setTransparent | ( | bool | t | ) |
| inline

## ◆ setNoCrop()

void ipe::Thumbnail::setNoCrop | ( | bool | n | ) |
| inline

## ◆ width()

int ipe::Thumbnail::width | ( |  | ) | const
| inline

Referenced by ipe::CanvasBase::selectPageOrView().

## ◆ height()

int ipe::Thumbnail::height | ( |  | ) | const
| inline

Referenced by ipe::CanvasBase::selectPageOrView().

## ◆ render()

Buffer Thumbnail::render | ( | const Page * | page,
|  | int | view
| ) |  |

References ipe::Document::cascade(), ipe::Page::count(), ipe::Buffer::data(), ipe::Object::draw(), ipe::Page::layerMatrices(), ipe::Page::layerOf(), ipe::Page::object(), ipe::Page::objectVisible(), ipe::Layout::paper(), ipe::Painter::popMatrix(), ipe::Painter::pushMatrix(), ipe::Painter::setAttributeMap(), ipe::Rect::topLeft(), ipe::Painter::transform(), ipe::Page::viewMap(), ipe::Vector::x, and ipe::Vector::y.

## ◆ saveRender()

bool Thumbnail::saveRender | ( | TargetFormat | fm,
|  | const char * | dst,
|  | const Page * | page,
|  | int | view,
|  | double | zoom
| ) |  |

References ipe::Attribute::BACKGROUND(), ipe::Document::cascade(), ipe::Page::count(), ipe::Buffer::data(), ipe::Text::draw(), ipe::Object::draw(), ipe::Painter::drawSymbol(), EPDF, EPNG, EPS, ESVG, ipe::Page::findLayer(), ipe::Cascade::findSymbol(), ipe::Platform::fopen(), ipe::Rect::height(), ipe::Page::layerMatrices(), ipe::Page::layerOf(), ipe::Page::object(), ipe::Page::objectVisible(), ipe::Page::pageBBox(), ipe::Layout::paper(), ipe::Painter::popMatrix(), ipe::Painter::pushMatrix(), ipe::Painter::setAttributeMap(), ipe::Page::titleText(), ipe::Rect::topLeft(), ipe::Painter::transform(), ipe::Page::viewMap(), ipe::Rect::width(), ipe::Vector::x, and ipe::Vector::y.

The documentation for this class was generated from the following files:

- ipethumbs.h
- ipethumbs.cpp